$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.112.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.112.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'E2C624B199AF5769DE7E471F813D1DBBD8C6AB654E7B2D1A23D4A302F4E5F2EA'
  checksumType = 'sha256'
  checksum64 = 'E2C624B199AF5769DE7E471F813D1DBBD8C6AB654E7B2D1A23D4A302F4E5F2EA'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.2.112-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
